package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description : 工位请求bean
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-19
 * @Modify:
 **/
@Data
public class StationRequestBean implements Serializable {

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("客户端信息")
    private String clientInfo;

    @ApiParam("用户信息")
    private String userInfo;

    /**
     * heartBit:心跳，scan：扫描
     */
    @ApiParam("业务类型")
    private String busiType;
}
