package cn.estsh.i3plus.pojo.sweb.modelbean;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 供应商登录用户模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-12 13:13
 * @Modify:
 **/
@Data
@AllArgsConstructor
public class SwebLoginUserModel implements Serializable {

    @ApiParam(value = "用户ID")
    private Long id;

    @ApiParam(value = "用户名")
    private String userName;

    @ApiParam(value = "密码")
    private String password;

    @ApiParam(value = "获取图片密码的唯一凭证")
    private String uniqueId;

    @ApiParam(value = "ip地址")
    private String ip;
}
